<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>

    <section name="log4net"

      type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"

    />

  </configSections>
  <log4net>

    <root>

      <level value="INFO" />

      <appender-ref ref="ADONetAppender_MySQL" />

    </root>

    <appender name="ADONetAppender_MySQL" type="log4net.Appender.ADONetAppender">
      <bufferSize value="1" />
      <param name="ConnectionType"  value="MySql.Data.MySqlClient.MySqlConnection, MySql.Data" />
      <param name="ConnectionString"  value="server=localhost;user id=starrlilog; password=111111; database=starrlilog; pooling=false"/>
      <param name="CommandText" value=" INSERT INTO `starrlilog` ( Date, Thread,Level,Logger,Message,Exception) VALUES (  ?log_date, ?thread, ?log_level, ?logger, ?message,  ?exception);" />
      <parameter>
        <parameterName value="?log_date" />
        <dbType value="DateTime" />
        <layout type="log4net.Layout.RawTimeStampLayout" />
      </parameter>
      <parameter>
        <parameterName value="?thread" />
        <dbType value="String" />
        <size value="255" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%thread" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?log_level" />
        <dbType value="String" />
        <size value="50" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%level" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?logger" />
        <dbType value="String" />
        <size value="255" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%logger" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?message" />
        <dbType value="String" />
        <size value="4000" />
        <layout type="log4net.Layout.PatternLayout">
          <conversionPattern value="%message" />
        </layout>
      </parameter>
      <parameter>
        <parameterName value="?exception" />
        <dbType value="String" />
        <size value="2000" />
        <layout type="log4net.Layout.ExceptionLayout" />
      </parameter>

    </appender>

    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="logfile" />
      <appendToFile value="true" />
      <rollingStyle value="Date" />
      <datePattern value="yyyyMMdd" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="Header" value="[Starrli POS Software Log Begin] "/>
        <param name="Footer" value="[Starrli POS Software Log End] "/>
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newLine" />
      </layout>
    </appender>
  </log4net>
  <appSettings>
   <add key="IsLog4net" value="true"/>
    <add key="IsMPS" value="true" />
    <add key="isFakeMPS" value ="false"/>
    <!-- CORE SETTINGS //-->
    <!-- StarrliPOS Application Edition: //-->
    <add key="AppEdition" value="STND" />
    <!--<add key="AppEdition" value="CUST" />-->
    <add key="language" value="0" />
    <!-- default roomid //-->
    <add key="roomid" value="1" />
    <!-- ID of the machine as a Cashier //-->
    <add key="Cashier" value="1" />
    <!-- database path, empty for local //-->
    
    <add key="DBdir" value="" />
    <add key="DBname" value="" />
    <add key="MainMenuDisableOption" value=""/>
    <add key ="CallIDSkipTo" value ="5"/>
    <add key="IsSpecialVersion" value="true"/> 
    <!-- customerdisplay COM port, empty to disable //-->
    <add key="customerdisplayport" value="" />
    <!-- enable/disable creditcard payment: requires 3rd party software //-->
    <add key="creditcardpayment" value="true" />
    <add key="IsTDC" value="true" />
    <add key="creditMethodIsPrevAuth" value="true" />
    <add key="CreditMethodISSale" value="true" />
    <!-- set default load page: 0=mainmenu, 1=dinein, 2=phoneorder, or EMPTY to disable //-->
    <add key="defaultloadpage" value="" />
    <!-- set default phone order type: 0=delivery, 1=dinein, 3=pickup, or EMPTY to disable //-->
    <add key="defaultphoneOrderType" value="" />
    <!-- set if need host function //-->
    <add key="IfNeedHostFunction" value="false" />
    <!-- control the dine in status //-->
    <add key="IsWaitStatus" value="true" />
    <!-- set if need Host Only //-->
    <add key="IfNeedHostOnly" value="false"/>
    <!--set the new edit button-->
    <add key="sIfNewEdit" value="true"/>
    <!--the invalidate value-->
    <add key="SofVali" value="true"/>
    <!-- Set Setoder default position to "Input" //  -->
    <add key="SetOrderDefaultToInput" value ="false"/>
    <add key="IfNeedPasswordInOutOrder" value ="false"/>
    <add key="SessionLogin" value="false"/>
    <add key="PrintOrderIDInCredit" value ="True"/>
    <!-- SET DINE IN CAN'T CHANGE ORDER TYPE-->
    <add key="NotDineinChangeOrderType" value="false"/>
    <!--show special by the sequence -->
    <add key ="ShowSpecialSeq" value ="true"/>
    <!-- show special category by the sequence-->
    <add key ="ShowSpecialCatSeq" value ="true"/>
    <add key ="IsWaiterTempCashier" value ="false"/>
    <!-- ************************ //-->
    <add key="TipByAmountOrPercentage" value="true"/>


    <!-- PRINTER SETTINGS //-->
    <!-- enable/disable scheduled orders //-->
    <add key="PrinterStation" value="true" />
    <!-- eg. Star SP512 Line Mode Printer, empty for default //-->
    <add key="cashiprinter" value="" />
    <!-- 0 = english 1=chinese 2=both //-->
    <add key="kitchenprinterlanguage" value="1" />
    <add key="PrintVoidInformationToKitchen" value ="true"/>
    <add key="prints1" value="abc" />
    <!-- enable/disable note printing //-->
    <add key="printnote" value="True" />
    <!-- print customer address to Kitchen//-->
    <add key="PrintCustomerInformationToKitchen" value ="false"/>
    <add key="NeedPrintColor" value ="false"/>
    <!-- print order id in the color. -->
    <!--<add key="IsPrintOrderNo" value="true" />-->

    <add key="DineInTypeOrderNo" value="false" />

    <add key="TodaysIDinTop" value="false" />
    <add key="TodaysIDinCenter" value="true" />
    <add key="TodaysIDinPackage" value="false" />
    <add key="TodaysIDinReceipt" value="true" />
    <add key="TodaysIDinKitchen" value="false" />

    <add key="PrintCheckNeedPassword" value ="false"/>
    <add key="NotPrintSpecial" value ="false"/>
    <add key="IsNeedTermpay" value="true"/>
    <!-- 0:print 2; 1:print 2 and alert ;2:print 1 -->
    <add key="OrderPrintNum" value="0"/>
    <add key="IsPrintLabel" value="false"/>

    <!-- ************************ //-->    


    <!-- CASHDRAWER SETTINGS //-->
    <!-- cashdrawerport COM port, empty to disable //-->
    <add key="Cashdrawerport" value="" />
    <!-- cashdrawerport Command Code; i.e. multiple decimals: 27,112,0,25,250   "27,112,0,25,250" //-->
    <add key="CashdrawerCommandString" value="27,112,0,25,250" />
    <!-- ************************ //-->


    <!-- MODEM SETTINGS //-->
    <!-- enable/disable caller ID feature //-->
    <add key="CallIDflag" value="True" />
    <!-- modem Com Port //-->
    <add key="ComPort" value="" />

    <!-- callerID command code; i.e. "AT+VCID=1"/ "AT#CID=1" //-->
    <add key="ModemInitString" value="AT+VCID=1" />
    <add key="ShowAreaCode" value ="true"/>
    <!-- ************************ //-->
    <add key="kitchenprice" value="false" />
    <add key="PrintTips" value="false" />
    <add key="PrintSeparateMap" value="false" />
    <add key="KitchenPrintCount " value="1" />
    <add key="PackagePrintCount " value="1" />
    <add key="DeliveryPackagePrintCount " value="1" />

    <add key="PackagePrintLanguage" value="2" />
    <add key="DefaultLanguage" value="0" />
    <add key="NoSaleRequiredPassword" value="true" />
    <add key="DefaultPrinter" value="" />
    <add key="EnableQuickCasher" value="true" />
    <add key="DefaultDeliveryFee" value="2.5" />
    <add key="EatInNeedPassword" value="true" />
    <add key="ChangeOrderNeedAdmin" value="true" />
    <add key="ExitNeedAdminPassword" value="false" />
    <add key="PrintCheckReturnToMain" value="true" />
    <add key="EnablePayment" value="true" />
    <add key="PrintCheckAfterDineInSend" value="true" />
    <add key="ShowPaidInPackager" value="true" />
    <!-- ************************ //-->
    <add key="showrecieptafterconfirm" value="false" />
    <add key="fontsize" value="16" />
    <add key="fontsizewith" value="12" />
    <add key="NotPrintNameOfRestaurant" value="false"/>
    <add key="GiftCardVersion" value="5"/>
    <add key="IsPrintShort" value="false"/>
    <add key="isPrintPackageShort" value="false"/>
    <add key="isPrintCheckShort" value="false"/>
    <add key="IsPrintLogo" value="false"/>
    <add key="LogoFilePath" value=""/>
    <add key="isPrintPackageLogo" value="false"/>
    <add key="isPrintCheckLogo" value="false"/>
    <add key="PrintLogoAlign" value="middle"/>
    <add key="PrintLogoWidth" value="150"/>
    <add key="PrintLogoHeigh" value="90"/>
    <add key="IsAddAfterSendAll" value="true"/>
    <add key="IsDirectPayWithoutPrintingPackage" value="false"/>
    <add key ="PrintCheckLanguage" value ="0"/>
    <add key="couponversion" value="1" />
  
    <!-- Credit Card Settings //-->
    <add key="xChargeLocalTranxFolder" value="C:\Program Files\X-Charge\LocalTran" />
    <add key="signatureImageFolder" value="C:\" />

    <add key="TaxCountReportNotes" value="Might be serveral cents different with total amount because of different tax count solution." />
    <!-- the defination value and the login role -->
    <!-- 0:"Manager", 1:"Waiter", 2:"Delivery", 3:"Cashier", 4:"Chef", 5:"Host", 6:"Busboy", 7:"Bartender"-->
    <add key="loginRoleManager" value="true" />
    <add key="loginRoleWaiter" value="false" />
    <add key="loginRoleDelivery" value="false" />
    <add key="loginRoleCashier" value="false" />
    <add key="loginRoleChef" value="false" />
    <add key="loginRoleHost" value="false" />
    <add key="loginRoleBusboy" value="false" />
    <add key="loginRoleBartender" value="false" />
    <!--this part is used to control which role can order-->
    <add key="roleManager" value="true" />
    <add key="roleWaiter" value="true" />
    <add key="roleDelivery" value="true" />
    <add key="roleCashier" value="true" />
    <add key="roleChef" value="true" />
    <add key="roleHost" value="true" />
    <add key="roleBusboy" value="true" />
    <add key="roleBartender" value="true" />
    <!-- discount: add up checkbox -->
    <add key="addup" value="false" />

    <!-- change color while setting time pass -->
    <add key="longTimeFlag" value="true" />
    <add key="flagSettingTime" value="45" />
    <!-- the time between lunch time to dinner time -->
    <!-- table change color according to the time from lunch to dinner -->
    <add key="tableColorFlag" value="true" />
    <add key="dinnerHour" value="16" />
    <add key="dinnerMin" value="00" />
    <!-- control the barcode print in the check print -->
    <add key="IfBarCode" value="true"/>

    <!-- convert loading panel between easy style and normal style -->
    <add key="loadEasyPanel" value="false"/>
    <!-- control the sidebar -->
    <add key="addBtnPreOrder" value="false"/>
    <add key="addBtnNextOrder" value="false"/>
    <add key="addBtnActions" value="false"/>
    <add key="addBtnQuickInput" value="false"/>
    <add key="addBtnOperation" value="false"/>
    <add key="addBtnQuickCashier" value="false"/>
    <!-- control the easy panel button -->
    <add key="addBtnCustomer" value="false" />
    <add key="addBtnPay" value="false" />
    <add key="addBtnQuantity" value="true" />
    <add key="addBtnSplit" value="false" />
    <add key="addBtnSplitPackage" value="true" />
    <add key="addBtnDelete" value="true" />
    <add key="addBtnPrintCheck" value="false" />
    <add key="addBtnNoTax" value="false" />
    <add key="addBtnDiscount" value="false" />
    <add key="addBtnGratuity" value="false" />
    <add key="addBtnSpecialDish" value="false" />
    <add key="addBtnChangeOrderType" value="false" />
    <!-- payment need pop up -->
    <add key="paymentPopup" value="false" />
    <!-- scale version -->
    <add key="isScale" value="true" />
    <add key="ScaleComPort" value="5" />
    <add key="ScaleUnit" value="oz" />
  </appSettings>
</configuration>
